Bug 1692995 - Review Request: golang-github-macaron-session - Provides the session management of Macaron
Summary: Review Request: golang-github-macaron-session - Provides the session manageme...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1670656
TreeView+ depends on / blocked
 
Reported: 2019-03-26 21:08 UTC by Nathan Scott
Modified: 2019-05-04 02:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 23:15:44 UTC
mgoodwin: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2019-03-26 21:08:56 UTC
Spec URL: https://nathans.fedorapeople.org/macaron-session/golang-github-macaron-session.spec
SRPM URL: https://nathans.fedorapeople.org/macaron-session/golang-github-macaron-session-0-0.1.20190317git0a0a789.fc29.src.rpm

Description: Provides the session management of Macaron
Fedora Account System Username: nathans

Comment 1 Nathan Scott 2019-03-26 21:13:11 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33782826

Note this package includes two patches - the first drops support for a couple of more obscure (unsupported in Fedora) databases like 'nodb' and 'ledis', the second adjusts the tests to not assume use of local-system database ports, etc.  The %check section then runs local in-memory databases (redis, memcached) to verify the functionality while not conflicting with running build system services.  These patches are not suitable for sending upstream.

Comment 2 Mark Goodwin 2019-03-26 23:53:22 UTC
Looks good - mock install failed because golang(gopkg.in/redis.v2)
isn't yet available in rawhide (only just built this morning).
That dep is correct - but please check again later.

Also, the rpmlint "patch-not-applied" warnings are false - these occur due to the use of %forgeautosetup -p1 in the %prep section.

Packaged approved - subject to re-checking install once all deps available.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.14 starting (python version = 3.7.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.14
INFO: Mock Version: 1.4.14
Finish: chroot init
INFO: installing package(s): /home/mgoodwin/src/fedora/reviews/1692995-golang-github-macaron-session/results/golang-github-macaron-session-devel-0-0.1.20190317git0a0a789.fc31.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --disableplugin=local --setopt=deltarpm=False install /home/mgoodwin/src/fedora/reviews/1692995-golang-github-macaron-session/results/golang-github-macaron-session-devel-0-0.1.20190317git0a0a789.fc31.noarch.rpm



Rpmlint
-------
Checking: golang-github-macaron-session-devel-0-0.1.20190317git0a0a789.fc31.noarch.rpm
          golang-github-macaron-session-0-0.1.20190317git0a0a789.fc31.src.rpm
golang-github-macaron-session-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/go-macaron/session/.goipath
golang-github-macaron-session.src: W: no-%build-section
golang-github-macaron-session.src: W: patch-not-applied Patch0: drop-exotic-dbs.patch
golang-github-macaron-session.src: W: patch-not-applied Patch1: local-tests-dbs.patch
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
golang-github-macaron-session-devel (rpmlib, GLIBC filtered):
    golang(github.com/Unknwon/com)
    golang(github.com/bradfitz/gomemcache/memcache)
    golang(github.com/go-sql-driver/mysql)
    golang(github.com/lib/pq)
    golang(gopkg.in/ini.v1)
    golang(gopkg.in/macaron.v1)
    golang(gopkg.in/redis.v2)



Provides
--------
golang-github-macaron-session-devel:
    golang(github.com/go-macaron/session)
    golang(github.com/go-macaron/session)(commit=0a0a789bf1934e55fde19629869caa015a40c525)
    golang(github.com/go-macaron/session/memcache)
    golang(github.com/go-macaron/session/memcache)(commit=0a0a789bf1934e55fde19629869caa015a40c525)
    golang(github.com/go-macaron/session/mysql)
    golang(github.com/go-macaron/session/mysql)(commit=0a0a789bf1934e55fde19629869caa015a40c525)
    golang(github.com/go-macaron/session/postgres)
    golang(github.com/go-macaron/session/postgres)(commit=0a0a789bf1934e55fde19629869caa015a40c525)
    golang(github.com/go-macaron/session/redis)
    golang(github.com/go-macaron/session/redis)(commit=0a0a789bf1934e55fde19629869caa015a40c525)
    golang-github-macaron-session-devel
    golang-ipath(github.com/go-macaron/session)
    golang-ipath(github.com/go-macaron/session)(commit=0a0a789bf1934e55fde19629869caa015a40c525)



Source checksums
----------------
https://github.com/go-macaron/session/archive/0a0a789bf1934e55fde19629869caa015a40c525/session-0a0a789bf1934e55fde19629869caa015a40c525.tar.gz :
  CHECKSUM(SHA256) this package     : 0113ff05ca082fdc26309d2fc70111c933d2c45f169356b73177eb0ab5f4901d
  CHECKSUM(SHA256) upstream package : 3c85afa4d06dd6f60c8a92ddcbb9e77ac8decf5e04d1139bf941357a1842bf1c
However, diff -r shows no differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1692995 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2019-03-27 12:42:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-macaron-session

Comment 4 Fedora Update System 2019-04-28 23:10:12 UTC
golang-github-macaron-session-0-0.1.20190327git0a0a789.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b7e9cba81

Comment 5 Fedora Update System 2019-04-29 17:40:44 UTC
golang-github-macaron-session-0-0.1.20190327git0a0a789.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b7e9cba81

Comment 6 Fedora Update System 2019-04-30 01:29:37 UTC
golang-github-macaron-session-0-0.1.20190327git0a0a789.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-05-03 06:46:28 UTC
golang-github-macaron-session-0-0.3.20190327git0a0a789.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-394ea16f1d

Comment 8 Fedora Update System 2019-05-04 02:26:18 UTC
golang-github-macaron-session-0-0.3.20190327git0a0a789.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.